Skip to main content
GET
List session messages
The devin_id is the session ID prefixed with devin- (e.g., devin-abc123).

Permissions

Requires a service user with the ViewOrgSessions permission at the organization level.

Authorizations

Authorization
string
header
required

Service User credential (prefix: cog_)

Path Parameters

org_id
string | null
required

Organization ID (prefix: org-)

Example:

"org-abc123def456"

devin_id
string | null
required

Devin session ID (prefix: devin-)

Example:

"devin-abc123def456"

Query Parameters

after
string | null
first
integer
default:100
Required range: 1 <= x <= 200

Response

Successful Response

items
SessionMessage · object[]
required
end_cursor
string | null

Cursor to fetch the next page, or None if this is the last page.

has_next_page
boolean
default:false

Whether there are more items available after this page.

total
integer | null

Optional total count (can be omitted for performance).